%bcond_with gjs
%bcond_with webkit2gtk
%bcond_with appstream_test

Summary:        User Interface Designer for GTK+
Name:           glade
Version:        3.40.0
Release:        8%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://glade.gnome.org/
Source0:        https://download.gnome.org/sources/glade/3.40/glade-%{version}.tar.xz

BuildRequires:  gcc meson desktop-file-utils docbook-style-xsl gettext
BuildRequires:  gtk3-devel gtk-doc itstool libxml2-devel
BuildRequires:  python3-devel python3-gobject-devel
%if %{with appstream_test}
BuildRequires:  /usr/bin/appstream-util
%endif
BuildRequires:  /usr/bin/xsltproc
%if %{with gjs}
BuildRequires:	gjs-devel
%endif
%if %{with webkit2gtk}
BuildRequires:	webkit2gtk3-devel
%endif
Requires:       %{name}-libs = %{version}-%{release}

%description
Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, C#, Vala, Java, Perl, Python,
and others.

%package libs
Summary:        Widget library for Glade UI designer

%description libs
The %{name}-libs package consists of the widgets that compose the Glade GUI as
a separate library to ease the integration of Glade into other applications.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use Glade widget library.

%prep
%autosetup

%build
%meson \
%if %{without gjs}
	-Dgjs=disabled \
%endif
%if %{without webkit2gtk}
	-Dwebkit2gtk=disabled \
%endif
	-Dgtk_doc=true

%meson_build

%install
%meson_install

%find_lang glade --with-gnome

%check
%if %{with appstream_test}
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%endif
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Glade.desktop

%files -f glade.lang
%license COPYING*
%doc AUTHORS NEWS
%{_bindir}/glade
%{_bindir}/glade-previewer
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Glade.svg
%{_datadir}/icons/hicolor/symbolic/apps/glade-brand-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Glade-symbolic.svg
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%{_mandir}/man1/glade.1*
%{_mandir}/man1/glade-previewer*

%files libs
%license COPYING*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib
%dir %{_libdir}/glade/
%dir %{_libdir}/glade/modules/
%if %{with gjs}
%{_libdir}/glade/modules/libgladegjs.so
%endif
%{_libdir}/glade/modules/libgladegtk.so
%{_libdir}/glade/modules/libgladepython.so
%if %{with webkit2gtk}
%{_libdir}/glade/modules/libgladewebkit2gtk.so
%endif
%{_libdir}/libgladeui-2.so.13*
%{_datadir}/glade/

%files devel
%{_includedir}/libgladeui-2.0/
%{_libdir}/libgladeui-2.so
%{_libdir}/pkgconfig/gladeui-2.0.pc
%dir %{_datadir}/gettext
%dir %{_datadir}/gettext/its
%{_datadir}/gettext/its/glade-catalog.its
%{_datadir}/gettext/its/glade-catalog.loc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gladeui-2.0.gir
%doc %{_datadir}/gtk-doc/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.40.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 08 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.40.0-2
- Fix bogus changelog

* Tue Nov 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.40.0-1
- Initial build
